Ubuntu Download Manager: Ubuntu::DownloadManager::HashError Class Reference

Ubuntu Download Manager 1.2.0 A session-wide downloading service |

Public Member Functions | Protected Member Functions | List of all members
Ubuntu::DownloadManager::HashError Class Reference

The HashError represents an error that occurred during the hash validation after the download. More...

`#include <error.h>`

Inheritance diagram for Ubuntu::DownloadManager::HashError:
Collaboration diagram for Ubuntu::DownloadManager::HashError:

## Public Member Functions
virtual | ~HashError ()
QString | method ()
QString | expected ()
QString | checksum ()
QString | errorString () override
Public Member Functions inherited from Ubuntu::DownloadManager::Error
virtual | ~Error ()
Type | type ()

## Protected Member Functions
| HashError (Transfers::Errors::HashErrorStruct err, QObject *parent)
Protected Member Functions inherited from Ubuntu::DownloadManager::Error
| Error (Type type, QObject *parent=0)

## Additional Inherited Members
Public Types inherited from Ubuntu::DownloadManager::Error
enum | Type { Auth, DBus, Http, Network, Process, Hash }

## Detailed Description

The HashError represents an error that occurred during the hash validation after the download.

Since
  0.3

Definition at line 480 of file error.h.

## Constructor & Destructor Documentation

## ◆ ~HashError()

Ubuntu::DownloadManager::HashError::~HashError | ( |  | ) |
| virtual

Disposes of this error and frees any resources associated with it.

Definition at line 454 of file error.cpp.

## ◆ HashError()

Ubuntu::DownloadManager::HashError::HashError | ( | Transfers::Errors::HashErrorStruct | err,
|  | QObject * | parent
| ) |  |
| protected

Creates a new error from the provided process error struct.

Definition at line 449 of file error.cpp.

## Member Function Documentation

## ◆ checksum()

QString Ubuntu::DownloadManager::HashError::checksum | ( |  | ) |

/fn QString checksum()

Returns the checksum of the download on disk after the download was completed.

Definition at line 471 of file error.cpp.

## ◆ errorString()

QString Ubuntu::DownloadManager::HashError::errorString | ( |  | ) |
| overridevirtual

/fn QString errorString() override

Returns a string representation of the error.

Reimplemented from Ubuntu::DownloadManager::Error.

Definition at line 477 of file error.cpp.

## ◆ expected()

QString Ubuntu::DownloadManager::HashError::expected | ( |  | ) |

/fn QString expected()

Returns the checksum that passed to the download manager to check against once the download was completed.

Definition at line 465 of file error.cpp.

## ◆ method()

QString Ubuntu::DownloadManager::HashError::method | ( |  | ) |

/fn QString method()

Returns the method that was used to verify the checksum of the download.

Definition at line 459 of file error.cpp.

The documentation for this class was generated from the following files:

- /build/ubuntu-download-manager-git/src/ubuntu-download-manager/src/downloads/client/ubuntu/download_manager/error.h
- /build/ubuntu-download-manager-git/src/ubuntu-download-manager/src/downloads/client/ubuntu/download_manager/error.cpp